### Method

# AppStream Component get_branding

since: 0.15.2

#### Declaration [src]

    AsBranding*
    as_component_get_branding (
      AsComponent* cpt
    )

#### Description [src]

Get the branding associated with this component, or `NULL` in case this component has no special branding.

Available since: 0.15.2

#### Return value

Type: `AsBranding`

An `AsBranding`.

The returned data is owned by the instance.
The return value can be `NULL`.